<?php
declare(strict_types=1);
namespace PpPhp\Core;

interface FilterPlugin
{
    public static function id(): string;
    public static function label(): string;
    public static function render(string $fieldName, array $settings): string;
    public static function settingsSchema(): array;
    public static function assets(): array;
}